bins = np.linspace(0, 1, 101)
result_rdf = md.distribution.rdf(oxygen_water[-1], bins=bins)
plt.figure()
plt.plot(bins[:-1], result_rdf)
plt.xlabel(r"$r$ in nm", fontsize=16)
plt.ylabel(r"$g(r)$", fontsize=16)
plt.show()
plt.close()

bins = np.linspace(0, 1, 101)
result_rdf = md.distribution.time_average(
    partial(md.distribution.rdf, bins=bins), oxygen_water, segments=100, skip=0.1
)
plt.figure()
plt.plot(bins[:-1], result_rdf)
plt.xlabel(r"$r$ in nm", fontsize=16)
plt.ylabel(r"$g(r)$", fontsize=16)
plt.show()
plt.close()